#include "xitemdef.h"

XItemDef::XItemDef()
    : XAsset()
    , mWindow()
    , mTextRect()
    , mType(0)
    , mDataType(0)
    , mAlignment(0)
    , mFontEnum(0)
    , mTextAlignMode(0)
    , mTextalignx(0.0f)
    , mTextaligny(0.0f)
    , mTextscale(0.0f)
    , mTextStyle(0)
    , mGameMsgWindowIndex(0)
    , mGameMsgWindowMode(0)
    , mtext("")
    , mItemFlags(0)
    , mParent(new XMenuDef())
    , mMouseEnterText("")
    , mMouseExitText("")
    , mMouseEnter("")
    , mMouseExit("")
    , mAction("")
    , mOnAccept("")
    , mOnFocus("")
    , mLeaveFocus("")
    , mDvar("")
    , mDvarTest("")
    , mOnKey(new XItemKeyHandler())
    , mEnableDvar("")
    , mDvarFlags(0)
    , mFocusSound(new XSoundAliasList())
    , mSpecial(0.0f)
    , mCursorPos()
    , mTypeData()
    , mImageTrack(0)
    , mVisibleExp()
    , mTextExp()
    , mMaterialExp()
    , mRectXExp()
    , mRectYExp()
    , mRectWExp()
    , mRectHExp()
    , mForecolorAExp()
{

}

XItemDef::~XItemDef()
{

}

int XItemDef::GetType() const
{
    return mType;
}

void XItemDef::Clear()
{

}

void XItemDef::ParseData(QDataStream *aStream)
{

}
